package com.example.myapplication

import android.content.SharedPreferences
import android.os.Bundle
import android.widget.Button
import android.widget.RadioButton
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity

class SettingsActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        // Theme basierend auf Einstellungen setzen
        val preferences = getSharedPreferences("appSettings", MODE_PRIVATE)
        val savedColorOption = preferences.getInt("colorOption", 1)
        setTheme(if (savedColorOption == 1) R.style.Theme_myapplication else R.style.Theme_MyApp_BlueTheme)

        setContentView(R.layout.activity_settings)

        val colorOption1 = findViewById<RadioButton>(R.id.colorOption1)
        val colorOption2 = findViewById<RadioButton>(R.id.colorOption2)
        val saveButton = findViewById<Button>(R.id.saveButton)

        // Aktuelle Einstellungen laden
        colorOption1.isChecked = savedColorOption == 1
        colorOption2.isChecked = savedColorOption == 2

        saveButton.setOnClickListener {
            // Auswahl speichern
            val newColorOption = if (colorOption1.isChecked) 1 else 2
            preferences.edit().putInt("colorOption", newColorOption).apply()

            // Rückmeldung an den Nutzer
            Toast.makeText(this, "Einstellungen erfolgreich gespeichert!", Toast.LENGTH_SHORT).show()
        }
    }
}
